package com.ruoyi.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.ruoyi.business.domain.TEbsApi;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author wms
 * @date 2022-08-25
 */
public interface TEbsApiMapper extends BaseMapper<TEbsApi>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param url 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TEbsApi selectTEbsApiByUrl(String url);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tEbsApi 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TEbsApi> selectTEbsApiList(TEbsApi tEbsApi);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tEbsApi 【请填写功能名称】
     * @return 结果
     */
    public int insertTEbsApi(TEbsApi tEbsApi);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tEbsApi 【请填写功能名称】
     * @return 结果
     */
    public int updateTEbsApi(TEbsApi tEbsApi);

    /**
     * 删除【请填写功能名称】
     * 
     * @param url 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTEbsApiByUrl(String url);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param urls 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTEbsApiByUrls(String[] urls);
}
